For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Portail

Portal Users API

Use the Gyfti API to manage portal users and validate challenges.

This API allows you to:

  • Update a portal user’s information

  • Assign or update the user’s segment

  • Add or define points for a user

  • Validate a challenge


1. Update a portail user

Use this endpoint to update the information of an existing portal user.

Endpoint

POST https://app.gyfti.fr/api/1.1/wf/edit_user

Headers

Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

Get you API Key from your setting page

Request body

Parameters

Parameter
Type
Required
Description

email

string

Yes

The email address of the portal user to update.

first_name

string

No

The user’s first name.

last_name

string

No

The user’s last name.

cagnotte

number

No

The number of points to add or define for the user.

mode_cagnotte

string

No

Defines how the cagnotte value should be applied.

segment

string

No

The segment name assigned to the user.

send_email

boolean

Yes

Use true or false to decide whether the user should receive an email informing them they earned new points and inviting them to connect to the portal.

Example request

Example response


2. Validate a challenge

Use this endpoint to validate a challenge for a portal user.

Endpoint

Headers

Request body

Parameters

Parameter
Type
Required
Description

challenges_form

string

Yes

The challenge form identifier. You can get this ID by configuring a webhook.

Example request

Example response

Last updated